Page MenuHomePhabricator

Add d3-layout-cloud to #graph extension
Closed, ResolvedPublic

Description

Hi, as discussed over email, I am filing the request to have word cloud viz added to Extension:Graph on Mediawiki.
Ref: https://github.com/jasondavies/d3-cloud
Please reach out if you have follow up questions or comments!

Thanks,

María

Event Timeline

mcruzWMF created this task.May 22 2015, 8:43 AM
mcruzWMF updated the task description. (Show Details)
mcruzWMF raised the priority of this task from to Normal.
mcruzWMF assigned this task to Yurik.
mcruzWMF added a subscriber: mcruzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2015, 8:43 AM
ferdbold set Security to None.

Change 214311 had a related patch set uploaded (by Yurik):
Bumped Vega, added d3.layout.cloud lib

https://gerrit.wikimedia.org/r/214311

Change 214311 merged by jenkins-bot:
Bumped Vega, added d3.layout.cloud lib

https://gerrit.wikimedia.org/r/214311

Change 214323 had a related patch set uploaded (by Yurik):
For now, disabled word clouds until Vega is fixed

https://gerrit.wikimedia.org/r/214323

Change 214323 merged by jenkins-bot:
For now, disabled word clouds until Vega is fixed

https://gerrit.wikimedia.org/r/214323

Ricordisamoa added a subscriber: Ricordisamoa.
Ricordisamoa removed a subscriber: gerritbot.
saper added a subscriber: saper.Sep 19 2016, 1:40 AM
saper added a comment.Sep 19 2016, 5:33 PM

I have uploaded the patch to restore this functionality:

https://gerrit.wikimedia.org/r/#/c/311363/

Change 311363 had a related patch set uploaded (by saper):
Restore wordcloud vega plugin

https://gerrit.wikimedia.org/r/311363

Change 311363 merged by jenkins-bot:
Restore wordcloud vega plugin

https://gerrit.wikimedia.org/r/311363

Yurik closed this task as Resolved.Sep 20 2016, 2:59 PM

will be in production with the next train